### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection.platform

# Class MissingIdentityException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.services.connection.ConnectionFactoryException
com.sas.services.connection.LoginException
com.sas.services.connection.platform.MissingIdentityException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class MissingIdentityException extends LoginException
This exception is thrown during a connection request if the `UserContextInterface` presented by the caller does not contain a `UserIdentityInteface` for one of the authentication domains supported by the connection factory.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MissingIdentityException(String msg, Throwable cause, List supportedDomains)`
  Construct a MissingIdentityException object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List`
  `getSupportedDomains()`

  ### Methods inherited from class com.sas.services.connection.LoginException

  `isLoginCallbackError, setLoginCallbackError`

  ### Methods inherited from class com.sas.services.connection.ConnectionFactoryException

  `getRootException, getTargetException`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MissingIdentityException

    public MissingIdentityException(String msg, Throwable cause, List supportedDomains)
    Construct a MissingIdentityException object.
    Parameters:
      `msg` - a message providing further details about the exception
      `cause` - the exception that caused this exception (can be `null`
      `supportedDomains` - the authentication domains that are supported by the connection factory

- ## Method Details

  - ### getSupportedDomains

    public List getSupportedDomains()